---
title: Close VA
description: Close a particular virtual account assigned to a merchant.
---

This API will close a particular virtual account assigned to a merchant if we pass merchant id, virtual account no and UID correctly.

#### POST

```
https://kraken.airpay.co.in/airpay/va/api/
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | application/x-www-form-urlencoded |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| action  required | String | Action to perform - close | `close` |
| private_key  required | Alphanumeric | Private Key (length 10-200) (required)<br>hash('sha256', @secretkey:username|:password) | `71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe` |
| merchant_id  required | Numeric | Merchant Id | `1` |
| virtual_account_number  required | Numeric | Virtual account number or UID Unique user identifier from the merchant is required | `2293640000000010242` |
| UID  required | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| checksum  required | Alphanumeric | Hash generated by : sha1(virtual_account_number.UID.action.merchant_id.private_key) | `8fe4273d9389f71d58152b92402a19e3b7ef51a8` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| STATUS  required | Number | Status Code Success - 200<br>Failed - 400 | `200,400` |
| MESSAGE  required | String | Status Message<br>Success - 200 Transaction is success<br>Transaction in Process - 211 Transaction in processing<br>Failed - 400 Transaction in failed<br>Dropped - 401 The transaction will not register properly<br>Cancel - 402 payment that has not yet been processed<br>Incomplete - 403 Not recieved any call back from bank<br>Bounced - 405 The transaction has bounced<br>No Records - 503 There is no records found<br>Virtual account is invalid - 526 | `success,fail` |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=close' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=8fe4273d9389f71d58152b92402a19e3b7ef51a8'
```

### Success Response

```json
HTTP/1.1 200 OK
{
      "STATUS": "200",
      "MESSAGE": "Success"
}
```

### Error Response

```json
HTTP/1.1 200 OK
{
      "STATUS": "400",
      "MESSAGE": "Failed"
}
```